Di cosa ho bisogno per utilizzare la classe DatePicker in Wicket 1.4.10?

voti
1

Im usando Netbeans 7.1, Wicket 1.4.10 con Wicket estensione 1.4.10.

Voglio usare il DatePicker, ma Netbeans non sono in grado di identificare DatePicker come classe. Ho cercato la biblioteca e posso trovarlo ither. Devo aggiungere som librerie aditional essere in grado di utilizzare il componente DatePicker? E se è così, avrò bisogno di installarlo in modo som? L'estensione che uso ora è appena aggiunto il usng strumenti-librarymanager. È questo il modo corretto / installazione?

È pubblicato 16/04/2012 alle 07:51
dall'utente
In altre lingue...                            


2 risposte

voti
5

Si dovrebbe aggiungere la dipendenza wicket-datetime al progetto.

    ...
    <dependency>
        <groupId>org.apache.wicket</groupId>
        <artifactId>wicket-datetime</artifactId>
        <version>${wicket.version}</version>
    </dependency>
    ...
Risposto il 16/04/2012 a 07:53
fonte dall'utente

voti
0

Se il progetto sta per essere avviato è molto più facile usando Apache Maven. Ecco una pagina su come creare un archetipo Wicket . Poi, basta aprirlo dal NetBeans. Se ancora necessario aggiungere la dipendenza di wicket-datetimecome @magomi ha spiegato.

Risposto il 16/04/2012 a 07:54
fonte dall'utente

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more